Update Management shows vbox ext pack for installation although it is already installed

    • OMV 3.x (stable)
    • Resolved
    • Update Management shows vbox ext pack for installation although it is already installed

      Hello all,


      on my OMV 3.0.94 (Kernel 4.9.0-0.bpo.3-amd64) my Update Management always shows virtualbox-ext-pack-installer 5.1.14 as available package. The installation always end with an error as the package is already installed.

      Display Spoiler

      Reading package lists...
      Building dependency tree...
      Reading state information...


      >>> *************** Error ***************
      Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated --show-upgraded --option DPkg::Options::="--force-confold" install virtualbox-ext-pack-installer 2>&1' with exit code '100': Reading package lists...


      Building dependency tree...


      Reading state information...


      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:


      The following packages have unmet dependencies:
      virtualbox-ext-pack-installer : Depends: virtualbox (>= 5.1.26) but 5.1.18-dfsg-1 is to be installed or
      virtualbox-5.0 (>= 5.1.26) but it is not installable
      E: Unable to correct problems, you have held broken packages.
      <<< *************************************


      Output of dpkg -l | grep virtualbox
      Display Spoiler

      ii openmediavault-virtualbox 3.0.8 all VirtualBox plugin for OpenMediaVault.
      ii phpvirtualbox 5.0-5-2 all Web interface for VirtualBox.
      ii virtualbox 5.1.18-dfsg-1 amd64 x86 virtualization solution - base binaries
      ii
      virtualbox-dkms 5.1.18-dfsg-1
      all x86 virtualization solution - kernel module sources for
      dkms
      ii virtualbox-ext-pack-installer 5.1.14 all VirtualBox extension pack installer.


      Is there an easy way to get rid of this issue? I tried the Apt clean button but it did not solve it. I am afraid of removing and installing it again, as i do not want to crash my VirtualBox installation. It was always a hassle for me to get it installed on a OMV installation for whatever reason ?(

      Any help is more than welcome.
      Thanks ahead :)
    • This question has been answered in this forum already. :)
      Indeed it want's you to update your Virtualbox plugin in order to apply the extension pack.
      But since the author of the Virtualbox OMV-package itself and the ext-pack are different, the update for Virtualbox does simply not exist.
      And furthermore this update won't come since the differences from Virtualbox are minor.

      I'm sorry but I also have this update every time and now I also can't finde the thread, where the author mentioned it.

      Edit: Found the responsible guy for Virtualbox. It is @ryecoaaron.
    • Users Online 1

      1 Guest